SystemOrganization addCategory: #'CAs-PirateTest'!

TestCase subclass: #PirateTorrentTest
	instanceVariableNames: 'fs'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CAs-PirateTest'!

!PirateTorrentTest methodsFor: 'as yet unclassified' stamp: 'ChristerAssmundsson 2/12/2015 07:23'!
folder
	| folder  |
	"OSPlatform isUnix ifTrue: [ folder := '/media/cm1store/Torrent/' ].
	OSPlatform isWin32 ifTrue: [ folder := 'O:\Torrent\' ]."
	folder := Config current torrentFolder.
	^folder! !

!PirateTorrentTest methodsFor: 'as yet unclassified' stamp: 'ChristerAssmundsson 11/17/2013 01:13'!
setUp
	| fd |
	fd := FileDirectory on: self folder.
	fs := fd oldFileNamed: 'breakdance.avi'.
	fs binary.! !

!PirateTorrentTest methodsFor: 'as yet unclassified' stamp: 'CAs 7/15/2012 12:00'!
testHashBreakdance
	| t |
	t := PirateTorrent new.
	self assert: ((t hash: fs) = '8E245D9679D31E12').! !

!PirateTorrentTest methodsFor: 'as yet unclassified' stamp: 'ChristerAssmundsson 8/31/2012 18:39'!
testHashBreakdance2
	| t h |
	t := PirateTorrent new.
	h := t hash2: fs.
	self assert: (h = '8E245D9679D31E12').! !

TestCase subclass: #UInt64Test
	instanceVariableNames: 'u1 u2'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CAs-PirateTest'!

!UInt64Test methodsFor: 'as yet unclassified' stamp: 'CAs 7/14/2012 08:41'!
setUp
"	self assert: (full includes: 6). 
	self deny: (full includes: 5)"
	| b |
	b := ByteArray readHexFrom: '0102000000000000'.
	u1 := UInt64 from: b.
	b := ByteArray readHexFrom: '0304000000000000'.
	u2 := UInt64 from: b.! !

!UInt64Test methodsFor: 'as yet unclassified' stamp: 'CAs 7/15/2012 10:59'!
testAdd
	self assert: ((u1 + u2) asInteger =  1540).! !

!UInt64Test methodsFor: 'as yet unclassified' stamp: 'CAs 7/14/2012 08:18'!
testCreate
"	self assert: (full includes: 6). 
	self deny: (full includes: 5)"
	| b u |
	b := ByteArray readHexFrom: '0102000000000000'.
	self assert: (b size = 8).
	u := UInt64 from: b.! !

!UInt64Test methodsFor: 'as yet unclassified' stamp: 'CAs 7/14/2012 08:41'!
testEqual
	self assert: (u1 = u1).! !

!UInt64Test methodsFor: 'as yet unclassified' stamp: 'CAs 7/14/2012 08:40'!
testFromHex
"	self assert: (full includes: 6). 
	self deny: (full includes: 5)"
	| b x y |
	b := ByteArray readHexFrom: '0102000000000000'.
	x := UInt64 from: b.
	y := UInt64 fromHex: '0102000000000000'.
	self assert: (x = y).! !

!UInt64Test methodsFor: 'as yet unclassified' stamp: 'CAs 7/14/2012 08:25'!
testInt
"	self assert: (full includes: 6). 
	self deny: (full includes: 5)"
	| b u |
	b := ByteArray readHexFrom: '0102000000000000'.
	self assert: (b size = 8).
	u := UInt64 from: b.
	self assert: (u asInteger = 513).! !

!UInt64Test methodsFor: 'as yet unclassified' stamp: 'CAs 7/14/2012 08:41'!
testNotEqual
	self assert: ((u1 = u2) not).! !

!UInt64Test methodsFor: 'as yet unclassified' stamp: 'ChristerAssmundsson 1/1/2014 22:40'!
testToHex
"	self assert: (full includes: 6). 
	self deny: (full includes: 5)"
	| h1 |
	h1 := u1 asHex.
	self assert: (h1 = 513 printStringHex).! !
